org.eclipse.incquery.runtime.rete.index

## Class CountNode

- java.lang.Object
- - org.eclipse.incquery.runtime.rete.network.BaseNode
  - - org.eclipse.incquery.runtime.rete.network.StandardNode
    - - org.eclipse.incquery.runtime.rete.index.AggregatorNode
      - - org.eclipse.incquery.runtime.rete.index.CountNode

- All Implemented Interfaces:
    Node, Supplier

      public class CountNode
      extends AggregatorNode

  An aggregation node that simply counts the number of tuples conforming to the signature.
  Author:
    Gabor Bergmann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CountNode(ReteContainer reteContainer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `aggregateGroup(Tuple signature, java.util.Collection<Tuple> group)` Aggregates (reduces) a group of tuples.

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.index.AggregatorNode

      `aggregateGroupAfterUpdate, assignTraceInfo, getAggregatorOuterIdentityIndexer, getAggregatorOuterIndexer, initializeWith, pullInto`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.network.StandardNode

      `appendChild, constructIndex, getPulledContents, getReceivers, removeChild`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.network.BaseNode

      `acceptPropagatedTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Node

      `acceptPropagatedTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag`

- - ### Constructor Detail

    - #### CountNode

          public CountNode(ReteContainer reteContainer)

  - ### Method Detail

    - #### aggregateGroup

          public java.lang.Object aggregateGroup(Tuple signature,
                                                 java.util.Collection<Tuple> group)

      Description copied from class: `AggregatorNode`
      Aggregates (reduces) a group of tuples. The group can be null.
      Specified by:
        `aggregateGroup` in class `AggregatorNode`